function u = solveellbvp(mesh, A, v, f, g)

    qr.w = [1/6; 1/6; 1/6];
    qr.x = [0 0; 1 0; 0 1];

    mesh = markFlags(mesh, v);

    S = assemMat_LFE(mesh, @STIMA_AIP, qr, A);
    L = assemLoad_LFE(mesh, qr, f);

    [u, FreeDofs] = assemDir_LFE(mesh, -1, g);
    L = L - S*u;

    u(FreeDofs) = S(FreeDofs,FreeDofs)\L(FreeDofs);

end
